<?php
/** Edition des Communes par ordre alphabtique. 
 * @version 0.1
 * @date 2005/02/15
 * @author chautard patrick.chautard@cg94.fr
 * @package edition
 * @link edition::commune_alpha()
 */

/** Classe statistique */
require_once "local/classes/edition.php";

/** Edition des statisque sur les porteurs de carte Commutitre par Commune */
function edition_communealpha_()
{
  global $_obweb;

    $filename="commune_alpha.pdf";
    if ($_POST["action"]=="commune_alpha") {
        set_time_limit(600);

        $_edition = & new edition;
        $_edition->commune_alpha($filename);
		
        $url =& new url(); //creates an url object
        $url->dropVals("action"); //removes params from url
        $url->setVal("page", "edition_home", true);
        $url->reload_JS();  //reloads the page
    }

    //form building
    $dbf =& new db_form();

    $frm["submit"]=$dbf->getHidden("action", "commune_alpha")
        .$dbf->getSubmit("submit", _l("Send"), array("class" => "textform"));

    $msg["ficname"]=$filename;
    $msg["printer"]=_l("Edition des communes par ordre alphabtique");

    $_obweb->addButtons(array("help"));
    $_obweb->smslot->assign(array("frm" => $frm, "msg" => $msg));
    $_obweb->smblock->assign(array("title" => _l("Edition des communes par ordre alphabtique")));
}
?>