<?php
/** Cration o Modification d'une ville.
 * @version 0.1
 * @date 2004/09/09
 * @author chautard patrick.chautard@cg94.fr
 * @package ville
 */

/** Cration ou modification d'un ville */
function ville_mod_()
{
  global $_obweb;

    $ok=true;
    //**** DELETE AN ville -- START **
    if ($_POST["delete"] && !$_GET["confirm"]) { //first time: ask for confirm
        $_obweb->confirm(_l("Are you sure?"));
        $ok=false; // don't execute add or modify user actions
    }
    if ($_GET["confirm"]=="Y" && $_GET["codeinsee"]!=$_SESSION["_obville"]["obville"]) {
        //deletes ville
        $sql=sprintf("DELETE FROM %sville WHERE codeinsee=%d",
            $_obweb->tprefix, $_GET["codeinsee"]);
        $_obweb->mb->Query($sql);
        $_obweb->addErr("Commune supprim");
        $url =& new url(); //creates an url object
        $url->dropVals(array("codeinsee", "confirm")); //removes params from url
        $url->setVal("page", "ville_home", true);
        $url->reload();  //reloads the page
    }
    //**** DELETE AN ville -- END **

    $dbf =& new db_form();
    $dbf->setDBConnection($_obweb->mb);
    $dbf->setTable("ville", $_obweb->tprefix);

    if ($ok && $_POST["action"]=="addville" || $_POST["action"]=="modville") {
        $dbf->parseForm();
    }
    if ($ok && $_POST["action"]=="addville") {
        $ok = $dbf->executeSqlInsert();
        if (!$ok) $_obweb->addErr("Insert failed");
    }
    if ($ok && $_POST["action"]=="modville") {
        $dbf->fetch($_GET["codeinsee"]);
        $dbf->executeSqlUpdate();
    }
    //default destination is to ville_villeadm
    if ($ok && ($_POST["action"]=="modville" || $_POST["action"]=="addville")) {
        $dest=$_obweb->slotparam["ville/ville_home"]["dest"];
        if ($dest=="") {
            $url =& new url();
            $url->setVal("page", "ville_home", true);
            $url->reload();
        } else {
            header("Location: $dest");
            exit;
        }
    }

    //mode: 'new' adds a new ville, 'mod' modifies an existing one
    if ($_GET["codeinsee"] > 0) $mode="mod";
    else $mode="new";

    if ($mode=="new") {
        $title=_l("Cration d'une fiche commune");
    } else if ($mode=="mod") {
        $title=_l("Fiche commune");
        $dbf->fetch($_GET["codeinsee"]);
        $frm["delete"].=$dbf->getSubmit("delete", _l("Delete"), array("class" => "textform"));
    }

    //finds the fields to be shown
    $sql="SELECT fieldname, label, intype, sql, reg_exp FROM ".$_obweb->tprefix
      ."slotfield WHERE pagename='".$_GET["page"]
      ."' AND slotname='ville/mod' AND enable='Y' ORDER BY ord";
    $_obweb->mb->QueryAll($sql, $show);

    //form building
    for ($i=0; $i<count($show); $i++) {
        $fieldname=$show[$i][0];
        $field[$i]["label"]=$_obweb->locale->intLabel($show[$i][1]);
        $type=$show[$i][2];
        $query=$show[$i][3];
        $regexp=$show[$i][4];
        $extraoption=array(array("", "---")); //extraoption will be used only for DBSELECT

        $attrib=array("class" => "textform");

        if ($type=="DBSELECT") {
			$zone = array(
			  array( "0", "0"),
			  array( "1", "1"),
			  array( "2", "2"),
			  array( "3", "3"),
			  array( "4", "4"),
			  array( "5", "5"),
			  array( "6", "6"),
			  array( "7", "7"));
			$field[$i]["control"].=$dbf->getSelect( $fieldname, $zone, $attrib);
		} else {
			if ($type=="TEXTINPUT") {
				$attrib["size"]=40;
				// recherche de la longeur du champ dans la table
				$attrib["maxlength"]=$dbf->_field[$fieldname]["SIZE"];
			} 
			// Gestion de l'expression rgulire
			if ($regexp) {
				$rg = explode(",",$regexp);
				foreach( $rg as $reg) {
					switch(strtolower($reg)) {
						case 'testnum' :
							$attrib["onKeypress"] = "return testNum(event);";
							break;
						case 'testalpha' :
							$attrib["onKeypress"] = "return testAlpha(event);";
							break;
						case 'toupper' :
							$attrib["onChange"] = "javascript:this.value=this.value.toUpperCase();";
							break;
						case 'tolower' :
							$attrib["onChange"] = "javascript:this.value=this.value.toLowerCase();";
							break;
						default :
							$_obweb->addErr(_l("Attribut pas encore gr !"));
					}
				}
			}
			$field[$i]["control"].=$dbf->getInput( $type, $fieldname, $attrib, $query, $extraoption);
		}
    }
    if ($mode=="new") {
        $frm["submit"]=$dbf->getHidden("action", "addville");
    } else {
        $frm["submit"]=$dbf->getHidden("codeinsee", $codeinsee)
            .$dbf->getHidden("action", "modville");
    }
    $frm["submit"].=$dbf->getSubmit("submit", _l("Save"), array("class" => "textform"));
    $_obweb->smblock->assign("title", $title);
    $_obweb->smslot->assign(array("field" => $field, "frm" => $frm));
    $_obweb->addButtons(array("print","help"));
}