<?php
/** Filtre de recherche pour les villes.
 * @version 0.1
 * @date 2004/09/09
 * @author chautard patrick.chautard@cg94.fr
 * @package ville
 * @link ville_adm_()
 */

/** Filtre de recherche pour les villes. */
function ville_filter_()
{
  global $_obweb;

    //destination of the redirect
    $destpage=$_obweb->slotparam["ville/filter"]["destpage"];
    if (!$destpage) $destpage="ville_filter";

    //stores default values, if none present
    if (!$_SESSION["_obvillesortby"]) {
        $_SESSION["_obvillesortby"]="nom";
        $_SESSION["_obvillecodepostal"]="94";
        $_SESSION["_obvillesearch"]="";
    }

    //modifies sort by order or group filtering
    if ($_POST["action"]=="filter_mod") {
        $_SESSION["_obvillesortby"]=$_POST["sortby"];
        $_SESSION["_obvillecodepostal"]=$_POST["codepostal"];
        $_SESSION["_obvillesearch"]=$_POST["search"];
        if ($opt!="prjfilter") {
            $_SESSION["_obvillename"]=$_POST["grfilter"];
        }
        $url =& new url();
        $url->dropVal("offset");
        $url->reload();
    }

    //finds the fields to be shown
    $sql="SELECT fieldname FROM ".$_obweb->tprefix
      ."slotfield WHERE slotname='ville/filter' AND enable='Y' ORDER BY ord";
    $_obweb->mb->QueryColumn($sql, $show);

    //multilingual messages
    $msg["sortedby"]=_l("Sorted by");
    $msg["nom"]=_l("Nom");
    $msg["codeinsee"]=_l("Code Insee");
    $msg["codepostal"]=_l("Département");

    //inits db_form
    $dbf =& new db_form();
    $dbf->setDbConnection($_obweb->mb);
    $dbf->parseForm();

    //sort by
    if (in_array("sortby", $show)) {
        $dbf->setFormValue("sortby", $_SESSION["_obvillesortby"]);
        $options=array(
          array( "codeinsee" ,_l("Code Insee") ),
          array( "codepostal",_l("Code Postal") ),
          array( "nom"       , _l("Name") )
        );
        $fsort["sortby"]=$dbf->getSelect("sortby", $options, array("class" => "textform"));
    }

    //filter by codepostal
    if (in_array("codepostal", $show)) {
        $dbf->setFormValue("codepostal", $_SESSION["_obvillecodepostal"]);
        $sql="SELECT DISTINCT LEFT(codepostal,2),  LEFT(codepostal,2) FROM ".$_obweb->tprefix."ville ORDER BY codepostal";
        $_obweb->mb->QueryAll($sql, $codepostal);
        array_unshift($codepostal, array("**",  _l("Not set")));
        array_unshift($codepostal, array("",  _l("All")));
        $fgroup["codepostal"]=$dbf->getSelect("codepostal", $codepostal, array("class" => "textform"));
    }

    //search textinput
    $dbf->setFormValue("search", $_SESSION["_obvillesearch"]);
    $fgroup["search"]=$dbf->getTextInput("search", array("size" => "30", "class" => "textform"));

    $fgroup["submit"]=$dbf->getHidden("action", "filter_mod")
        .$dbf->getImage("submit", "common/images/core/ok.gif");

    $_obweb->smslot->assign(array("msg" => $msg,
        "fsort" => $fsort, "fgroup" => $fgroup, "destpage" => $destpage,
         $_GET["value"]));
}
?>