<?php
/** Liste des villes.
 * @version 0.1
 * @date 2005/01/11
 * @author chautard patrick.chautard@cg94.fr
 * @package ville
 */

/** Classe pour gnrer des requtes select */
require_once "common/classes/general/ez_select.php";

/** Classe pour gnrer des tables HTML */
require_once "common/classes/pear/HTML/Table.php";

/** Liste des villes. */
function ville_select_()
{
  global $_obweb;

    //stores default values, if none present
    if (!$_SESSION["_obseldepartement"]) {
        $_SESSION["_obseldepartement"]="94";
    }

    // Filtre sur un  dpartement
    if ($_POST["action"]=="filter_mod") {
        $_SESSION["_obseldepartement"]=$_POST["departement"];
    }

	// recherche des numro de dpartement prsent
    $sql="SELECT DISTINCT LEFT(codepostal,2),  LEFT(codepostal,2) FROM ".$_obweb->tprefix."ville ORDER BY codepostal";
    $_obweb->mb->QueryAll($sql, $departement);

    //inits db_form
    $dbf =& new db_form();
    $dbf->setDbConnection($_obweb->mb);
    $dbf->setFormValue("departement", $_SESSION["_obseldepartement"]);
    $fgroup["departement"]=$dbf->getSelect("departement", $departement, array("class" => "textform"));
    $fgroup["submit"]=$dbf->getHidden("action", "filter_mod")
        .$dbf->getImage("submit", "common/images/core/ok.gif");

    // Finds the fields to be shown (columns titles)
    $sql="SELECT fieldname, label FROM ".$_obweb->tprefix
      ."slotfield WHERE pagename='".$_GET["page"]
      ."' AND slotname='ville/select' AND enable='Y' ORDER BY ord";
    $_obweb->mb->QueryAll($sql, $show);
    for ($i=0; $i<count($show); $i++) {
        $header[]=$_obweb->locale->intLabel($show[$i][1]);
    }

    // Looking for users from a specific field
    $qry=new ez_select();

    // Utilisation de la table organisation
    $qry->add_table($_obweb->tprefix."ville");

    for ($i=0; $i<count($show); $i++) {
        $qry->add_field($show[$i][0]);
    }
    $qry->add_where_clause("(codepostal BETWEEN '".$_SESSION["_obseldepartement"]."000' AND '".$_SESSION["_obseldepartement"]."999')");
	$qry->add_order_by("nom");

    $sql=$qry->make();
    $_obweb->mb->QueryAll($sql, $select);

    //echo "SQL=$sql <br>";
    //echo "Error="._l($_obweb->mb->Error())." <br>";

    //multilingual messages
    $msg["departement"]=_l("Dpartement");

    $_obweb->addButtons(array("print"));
    $_obweb->smslot->assign(array("ville" => $ville));
    $_obweb->smslot->assign(array("msg" => $msg, "fgroup" => $fgroup, "select" => $select, "header" =>$header, "show" => $show));
}
?>